
Redmine - Defect #14174

email sendding problem when update 2.2.3 to 2.3.1 and 2.3.0 to 2.3.1

2013-05-30 12:06 - Anonymous

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.1

Description

After update to redmine V2.3.0, I have a problem with sendding email to users belong to a project when creat new Issue. All user

account are be setting "Email notifications = For any event on all my projects" but when 1st issue created, all users recived email,

and 2nd issue created nobody received email, 3rd issue created nobody received email even checking on Spam folder,.... (Each

issue was created every 3-5 minutes)

I used sendmail function on Centos 5.9, all path are up to date.

All user emails are @gmail.com

In version 2.2.3 email sending very good and no problem found. I also did not change anything on Setting or something else when

update tu 2.3.0 :(

So I update 2.3.0 to 2.3.1 but the problem is not fixed,

In 2.3.1 no email was sent when new issue or update created. On setting Administrator, I used "send test email" And redmine said

"sent sucessfull" but I did not receive any email?

On the production log there is no erros.

Pls help me solve this problem.

Related issues:

Related to Redmine - Defect #13698: Wrong argument  error when sending email ... Closed

History

#1 - 2013-05-30 15:34 - Bruce Svare

I had an issue with emails when I upgraded to 2.3.0 also.. but a quick search of the forums produced this thread: 

http://www.redmine.org/boards/2/topics/37008 which provided the solution for my company.

#2 - 2013-05-30 19:20 - Anonymous

Thanks  Bruce Svare for reply me. But I used sendmail function to send mail, not use smtp. Here is my config on configuration.yml

email_delivery:

delivery_method: :sendmail

So can I add enable_starttls_auto: false bellow delivery_method: :sendmail ?

I also use redmine at 443 port.

#3 - 2013-05-30 20:35 - Anonymous

The problem solved when I change sendmail to GMAIL by setting bellow:

email_delivery:

delivery_method: :smtp

smtp_settings:

tls: true

enable_starttls_auto: true

openssl_verify_mode: 'none'

address: "smtp.googlemail.com"

port: '465'

domain: "smtp.googlemail.com"

authentication: :plain

user_name: "my-email@gmail.com"

password: "my-password" 
#4 - 2013-05-30 20:43 - Anonymous

But it's not a good solution because I only want to use the sendmail function :(

#5 - 2013-06-05 22:30 - Steve Lindenberg

I'd like to second this issue:

- Working with SMTP relay to a shared hosting account

- Test emails declared 'successfully sent'

- never actually sent

- no log errors to be found

I'm running a fresh Redmine install, on a fresh Linux (Mint 12, 64 bit) install.

Environment:

Redmine version                          2.3.1.devel

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.13

Environment                              production

Database adapter                         MySQL

Initially, my previously functional email.yml settings was throwing SSL and nil value errors.

At one point in my debugging, the command line advised me that config/email.yml is deprecated, use config/configuration.yml, so here's my

config/configuration.yml

production:

email_delivery:

delivery_method: :smtp

smtp_settings:

address: "smtp.1and1.com"

port: 587

domain: "mydomain.tld"

authentication: :plain

user_name: "redmine@mydomain.tld"

password: "password"

enable_starttls_auto: false

openssl_verify_mode: 'none'

Frustrated with the whole thing, I grabbed the Bitnami installer, same issue.

In my endless Googling, I found a Rails post explaining backward compatibility in the mailer was probably broken (sorry, lost the link)

At any rate, if anybody has found steps to get this working, I would be pretty excited to hear them.

#6 - 2013-06-05 22:44 - Jean-Philippe Lang

FWIW, redmine.org runs Redmine 2.3 and uses gmail with the following SMTP settings:

  address: smtp.gmail.com

  port: 587

  domain: smtp.gmail.com

  authentication: :plain

  user_name: noreply@redmine.org

  password: 'xxxxxxxxxx'

  enable_starttls_auto: true

#7 - 2013-06-05 23:43 - Steve Lindenberg

Thanks for the quick reply!

I created a new GMail account and used the settings you provided.

They worked, very happy to be back in business!

It would be great to cut out the GMail dependency, but I'll take it at this point.

Thanks again.

#8 - 2013-09-13 15:39 - Jan Niggemann (redmine.org team member)

- Status changed from New to Closed

- Resolution set to Invalid

If I understand correctly this issue has been solved, closing.

Powered by TCPDF (www.tcpdf.org)

2025-07-06 2/2

mailto:redmine@mydomain.tld
http://www.tcpdf.org

